# Uses of Interface
org.gitana.platform.client.meter.Meter

Packages that use Meter
Package
Description
org.gitana.platform.client.meter
org.gitana.platform.client.registrar
org.gitana.platform.client.support
org.gitana.platform.client.tenant

## Uses of Meter in org.gitana.platform.client.meter

Classes in org.gitana.platform.client.meter that implement Meter
Modifier and Type
Class
Description
`class`
`MeterImpl`

## Uses of Meter in org.gitana.platform.client.registrar

Methods in org.gitana.platform.client.registrar that return Meter
Modifier and Type
Method
Description
`Meter`
Registrar.`createMeter(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
RegistrarImpl.`createMeter(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
Registrar.`readMeter(String meterId)`
`Meter`
RegistrarImpl.`readMeter(String meterId)`
Methods in org.gitana.platform.client.registrar that return types with arguments of type Meter
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Meter>`
Registrar.`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
Registrar.`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
RegistrarImpl.`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
RegistrarImpl.`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
Registrar.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
Registrar.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
RegistrarImpl.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
RegistrarImpl.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.registrar with parameters of type Meter
Modifier and Type
Method
Description
`void`
Registrar.`deleteMeter(Meter meter)`
`void`
RegistrarImpl.`deleteMeter(Meter meter)`
`void`
Registrar.`updateMeter(Meter meter)`
`void`
RegistrarImpl.`updateMeter(Meter meter)`

## Uses of Meter in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Meter
Modifier and Type
Method
Description
`Meter`
ObjectFactory.`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
ObjectFactory.`meter(Registrar registrar, Response response)`
`Meter`
ObjectFactoryImpl.`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
ObjectFactoryImpl.`meter(Registrar registrar, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Meter
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Meter>`
ObjectFactory.`meters(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Meter>`
ObjectFactoryImpl.`meters(Registrar registrar, Response response)`

## Uses of Meter in org.gitana.platform.client.tenant

Methods in org.gitana.platform.client.tenant that return Meter
Modifier and Type
Method
Description
`Meter`
Tenant.`readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)`
`Meter`
TenantImpl.`readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)`
Methods in org.gitana.platform.client.tenant that return types with arguments of type Meter
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Meter>`
Tenant.`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
Tenant.`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
TenantImpl.`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
TenantImpl.`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
Tenant.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
Tenant.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
TenantImpl.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
TenantImpl.`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`